%define upstream_name    Class-Maker
%define upstream_version 0.06

%global __requires_exclude  %{?__requires_exclude}|^perl\\(Class::Maker::Examples

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Exceptions tuned for Class::Maker
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Algorithm::FastPermute) >= 0.50.0
BuildRequires: perl(Array::Compare) >= 1.30.0
BuildRequires: perl(Data::Dump)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Error) >= 0.150.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Extended)
BuildRequires: perl(XML::Generator)
BuildRequires: perl(XML::LibXSLT)
BuildArch:  noarch

%description
Class::Maker introduces the concept of classes via a "class" function. It
automatically creates packages, ISA, new and attribute-handlers. The
classes can inherit from common perl-classes and class-maker classes.
Single and multiple inheritance is supported.

This package is for everybody who wants to program oo-perl and does not
really feel comfortable with the common way.

Java-like reflection is also implemented and allows one to inspect the
class properties and methods during runtime. This is helpfull for
implementing persistance and serialization. A Tangram (see cpan) schema
generator is included to the package, so one can use Tangram
object-persistance on the fly as long as he uses Class::Maker classes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
# missing test dep - https://rt.cpan.org/Public/Bug/Display.html?id=80618
rm -f t/20_10_basic_types_array.t
%make test

%install
%makeinstall_std

%files
%doc ChangeLog META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.60.0-6.mga6
+ Revision: 1023981
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.60.0-5.mga6
+ Revision: 946204
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-4.mga5
+ Revision: 746347
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.60.0-3.mga5
+ Revision: 732783
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-2.mga5
+ Revision: 683928
- Mageia 5 Mass Rebuild

* Thu Feb 13 2014 jquelin <jquelin> 0.60.0-1.mga5
+ Revision: 590715
- adding missing buildrequires:
- adding missing buildrequires:
- update to 0.06

* Fri Oct 18 2013 umeabot <umeabot> 0.5.14-3.mga4
+ Revision: 510026
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.5.14-2.mga3
+ Revision: 364444
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 shlomif <shlomif> 0.5.14-1.mga3
+ Revision: 324655
- imported package perl-Class-Maker


* Sun Dec 02 2012 cpan2dist 0.5.14-1mga
- initial mageia release, generated with cpan2dist
